Bug 1379709 - Review Request: python-epi - Tool for looking at the entry point plugins on a system
Summary: Review Request: python-epi - Tool for looking at the entry point plugins on a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-27 13:34 UTC by Chandan Kumar
Modified: 2016-10-26 00:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-26 00:57:22 UTC
Type: ---
panemade: fedora-review+


Attachments (Terms of Use)

Description Chandan Kumar 2016-09-27 13:34:17 UTC
Spec URL: https://chandankumar.fedorapeople.org/python-epi.spec
SRPM URL: https://chandankumar.fedorapeople.org/python-epi-0.1-1.fc24.src.rpm
Description: Entry Point Inspector is a tool for looking at the entry point plugins installed on a system.
Fedora Account System Username: chandankumar

Successful Scratch Build : http://koji.fedoraproject.org/koji/taskinfo?taskID=15827297

Comment 1 Parag AN(पराग) 2016-09-28 04:49:55 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Suggestions:
1) add %check section
2) maybe wait for a few days till upstream merge your PR which will fix rpmlint warnings from SPEC.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache", "Unknown or generated". 13 files have
     unknown license. Detailed output of licensecheck in
     /home/parag/1379709-python-epi/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-entry_point_inspector , python3-entry_point_inspector
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
    architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-entry_point_inspector-0.1-1.fc26.noarch.rpm
          python3-entry_point_inspector-0.1-1.fc26.noarch.rpm
          python-epi-0.1-1.fc26.src.rpm
python2-entry_point_inspector.noarch: W: no-documentation
python2-entry_point_inspector.noarch: W: no-manual-page-for-binary python2-epi
python3-entry_point_inspector.noarch: W: no-documentation
python3-entry_point_inspector.noarch: W: no-manual-page-for-binary python3-epi
python3-entry_point_inspector.noarch: W: no-manual-page-for-binary epi
python-epi.src:85: W: macro-in-comment %license
python-epi.src:86: W: macro-in-comment %doc
python-epi.src:97: W: macro-in-comment %license
python-epi.src:98: W: macro-in-comment %doc
3 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
python2-entry_point_inspector.noarch: W: no-documentation
python2-entry_point_inspector.noarch: W: no-manual-page-for-binary python2-epi
python3-entry_point_inspector.noarch: W: no-documentation
python3-entry_point_inspector.noarch: W: no-manual-page-for-binary epi
python3-entry_point_inspector.noarch: W: no-manual-page-for-binary python3-epi
2 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
python2-entry_point_inspector (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python-cliff
    python-setuptools

python3-entry_point_inspector (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-cliff
    python3-setuptools



Provides
--------
python2-entry_point_inspector:
    python-entry_point_inspector
    python2-entry_point_inspector
    python2.7dist(entry-point-inspector)
    python2dist(entry-point-inspector)

python3-entry_point_inspector:
    python3-entry_point_inspector
    python3.5dist(entry-point-inspector)
    python3dist(entry-point-inspector)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/e/entry_point_inspector/entry_point_inspector-0.1.tar.gz :
  CHECKSUM(SHA256) this package     : f73c0318f8b98e4294e2ab546024f7fa0c7071b768b16bcc5f857211b98b36eb
  CHECKSUM(SHA256) upstream package : f73c0318f8b98e4294e2ab546024f7fa0c7071b768b16bcc5f857211b98b36eb


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1379709 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64

Comment 2 Chandan Kumar 2016-09-28 08:59:26 UTC
Thanks for the review Parag.
Added LICENSE and README file to Sources and included %check to run tests.

Here is the updated
SPEC : https://chandankumar.fedorapeople.org/python-epi.spec
SRPM : https://chandankumar.fedorapeople.org/python-epi-0.1-2.fc24.src.rpm
and successful Koji Build : http://koji.fedoraproject.org/koji/taskinfo?taskID=15842964

Thanks,

Chandan Kumar

Comment 3 Chandan Kumar 2016-09-28 09:10:41 UTC
Fixed Source macro under prep section:
Here is the updated
SPEC: https://chandankumar.fedorapeople.org/python-epi.spec
SRPM: https://chandankumar.fedorapeople.org/python-epi-0.1-3.fc24.src.rpm

Successful Koji Build : http://koji.fedoraproject.org/koji/taskinfo?taskID=15843226

Thanks,

Chandan Kumar

Comment 4 Parag AN(पराग) 2016-09-29 08:54:18 UTC
Looks good,
APPROVED.

Comment 5 Gwyn Ciesla 2016-09-29 12:58:34 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-epi

Comment 6 Fedora Update System 2016-09-30 00:22:50 UTC
python-epi-0.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7df2442f2a

Comment 7 Fedora Update System 2016-09-30 20:24:40 UTC
python-epi-0.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a526e322c

Comment 8 Fedora Update System 2016-10-01 04:49:20 UTC
python-epi-0.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9032512284

Comment 9 Fedora Update System 2016-10-18 11:32:07 UTC
python-epi-0.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-10-18 15:55:08 UTC
python-epi-0.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-10-21 15:52:37 UTC
python-epi-0.1-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-10-21 16:50:18 UTC
python-epi-0.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-175ef1a9e6

Comment 13 Fedora Update System 2016-10-22 03:55:14 UTC
python-epi-0.1-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-20748567c3

Comment 14 Fedora Update System 2016-10-22 11:54:41 UTC
python-epi-0.1-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e0137b8773

Comment 15 Fedora Update System 2016-10-26 00:57:22 UTC
python-epi-0.1-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.